Summary: GNU C Compiler
Name: gcc
%define version 2.8.1
Version: %{version}
Release: 0nw5
Copyright: GPL
Group: Development/Languages
Source: ftp://ftp.gnu.org/pub/gnu/gcc-%{version}.tar.gz
Patch: gcc-2.8.1-nw990214.patch
Requires: binutils
Prereq: /sbin/install-info
Buildroot: /var/tmp/gcc-root
Exclusivearch: armv4l
Summary(de): GNU-C-Compiler 
Summary(fr): Compilateur C de GNU
Summary(tr): GNU C derleyicisi

%description
The GNU C compiler -- a full featured ANSI C compiler, with support
for K&R C as well. GCC provides many levels of source code error
checking tradionaly provided by other tools (such as lint), produces
debugging information, and can perform many different optimizations to
the resulting object code. This contains the back end for C++ and 
Objective C compilers as well.

%description -l de
Der GNU-C-Compiler, ein ANSI-C-Compiler mit komplettem Funktions-
umfang sowie Untersttzung fr K&R. GCC bietet viele Ebenen der
Quell-Code-Fehlerprfung, wie sie frher durch separate Tools bereitgestellt
wurde (etwa lint), produziert Debug-Infos und ist in der Lage, viele
verschiedene Optimierungen am resultierenden Objektcode auszufhren. 
Enthlt auch das Backend fr C++ und Objective-C-Compiler.

%description -l fr
Le compilateur C GNU -- un compilateur C ANSI complet, avec un support
pour la norme K&R. GCC fournit de nombreux niveaux d'erreurs donns par
des outils extrieurs (comme lint), produit des informations de dbogage,
et peut raliser diffrentes optimisations sur le code objet produit.
Il contient aussi le back-end pour les compilateurs Objective C et C++.

%description -l tr
GNU C derleyicisi, K&R C destei olan ve ANSI C'nin btn zelliklerine sahip
bir derleyicidir. Normalde baka aralarn (rnein lint) yapt kaynak kodu
dzeyindeki pek ok hata denetimini gerekletirir, hata ayklama bilgisi
retebilir ve sonu olarak ortaya kan ara kod zerinde birok optimizasyon
uygulayabilir.

%prep
%setup -q
%patch -p2

%build
 ./configure --prefix=/usr --host=netwinder --with-cpu=strongarm

make LANGUAGES=c CFLAGS="-O2"
make stage1
make CC="stage1/xgcc -Bstage1/" LANGUAGES="c c++ objc proto" CFLAGS="-O2" LDFLAGS="-s"
make stage2
make CC="stage2/xgcc -Bstage2/" LANGUAGES="c c++ objc proto" CFLAGS="-O2" LDFLAGS="-s"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,info,man}
make CC="stage2/xgcc -Bstage2/" LANGUAGES="c c++ objc proto" CFLAGS="-O2" \
	LDFLAGS="-s" install prefix=$RPM_BUILD_ROOT/usr

rm -f $RPM_BUILD_ROOT/usr/info/cpp.info* $RPM_BUILD_ROOT//usr/info/dir
gzip -n -9f $RPM_BUILD_ROOT/usr/info/gcc.info*

ln -sf gcc $RPM_BUILD_ROOT/usr/bin/cc
ln -sf g++ $RPM_BUILD_ROOT/usr/bin/c++

mkdir -p $RPM_BUILD_ROOT/lib
ln -sf ../usr/lib/gcc-lib/netwinder/2.8.1/cpp $RPM_BUILD_ROOT/lib/cpp

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/gcc.info.gz /usr/info/dir --entry="* gcc: (gcc).                   The GNU C compiler."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gcc.info.gz /usr/info/dir --entry="* gcc: (gcc).                   The GNU C compiler."
fi

%files
%defattr(-,root,root)
%doc NEWS PROBLEMS
/lib/cpp
/usr/bin/gcc
/usr/bin/cc
/usr/bin/g++
/usr/bin/c++
/usr/bin/netwinder-gcc
/usr/man/man1/gcc.1
/usr/info/gcc.info*
%dir /usr/lib/gcc-lib/netwinder/2.8.1
%dir /usr/lib/gcc-lib/netwinder/2.8.1/include
%dir /usr/lib/gcc-lib/netwinder/2.8.1/apcs-32
/usr/lib/gcc-lib/netwinder/2.8.1/SYSCALLS.c.X
/usr/lib/gcc-lib/netwinder/2.8.1/cc1
/usr/lib/gcc-lib/netwinder/2.8.1/cc1plus
/usr/lib/gcc-lib/netwinder/2.8.1/cc1obj
/usr/lib/gcc-lib/netwinder/2.8.1/cpp
/usr/lib/gcc-lib/netwinder/2.8.1/libgcc.a
/usr/lib/gcc-lib/netwinder/2.8.1/specs
/usr/lib/gcc-lib/netwinder/2.8.1/*.o
/usr/lib/gcc-lib/netwinder/2.8.1/apcs-32/*
/usr/lib/gcc-lib/netwinder/2.8.1/include/va-*.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/exception
/usr/lib/gcc-lib/netwinder/2.8.1/include/float.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/iso646.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/limits.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/new
/usr/lib/gcc-lib/netwinder/2.8.1/include/new.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/proto.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/stdarg.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/stddef.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/syslimits.h
/usr/lib/gcc-lib/netwinder/2.8.1/include/typeinfo
/usr/lib/gcc-lib/netwinder/2.8.1/include/varargs.h

%changelog
* Mon Feb 15 1999 Scott Bambrough <scottb@corelcomputer.com>
- /lib/cpp symbolic link not created correctly, fixed
- changed release to nw5

* Sun Feb 14 1999 Scott Bambrough <scottb@corelcomputer.com>
- added LIBGCC2_SPEC to linux-elf.h, for soft float builds
- redid patch, now gcc-2.8.1-nw990214.patch

* Fri Feb 12 1999 Scott Bambrough <scottb@corelcomputer.com>
- changed release to 0nw4
- changed %install to create symbolic link c++ to g++.
- added /usr/bin/g++ to the files list
- added /usr/bin/c++ to the files list
- added --enable-threads=posix to configure to use posix
  threading model in objective C.
- fixed configure.in, running autoconf broke the build

* Thu Feb 11 1999 Scott Bambrough <scottb@corelcomputer.com>
- corrected statements to create symbolic link to cpp in /lib
- correction to files list: cc1objc -> cc1obj

* Mon Feb 08 1999 Scott Bambrough <scottb@corelcomputer.com>
- added cc1objc to files list
- added statements to create symbolic link to cpp in /lib
- changed release to 0nw3

* Mon Jan 25 1999 Scott Bambrough <scottb@corelcomputer.com>
- changed release to 0nw2

* Fri Jan 22 1999 Scott Bambrough <scottb@corelcomputer.com>
- removed wildcard from /usr/lib/gcc-lib/netwinder/2.8.1/include/ directory
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/va-*.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/exception to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/float.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/iso646.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/limits.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/new to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/new.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/proto.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/stdarg.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/stddef.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/syslimits.h to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/typeinfo to files list
- added /usr/lib/gcc-lib/netwinder/2.8.1/include/varargs.h to files list

* Wed Jan 20 1999 Scott Bambrough <scottb@corelcomputer.com>
- added cc1plus to files list
- changed release to Corel versioning system

* Wed Dec 09 1998 Scott Bambrough <scottb@corelcomputer.com>
- converted gcc-2.7.2 specs file for ARM and gcc 2.8.1.
- conversion is ARM specific, no attempt has been made to keep multiple
  architechure structure of the RPM.

